Bug 115840 - consolehelper does not work with uppercase link names
consolehelper does not work with uppercase link names
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: usermode (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 11:44 EST by Har Puri
Modified: 2007-04-18 13:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:33:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Example shell script to show how to make userhelper/consolehelper play nice with uppercase names. (565 bytes, application/x-shellscript)
2007-04-03 21:07 EDT, Wade Mealing
no flags Details

  None (edit)
Description Har Puri 2004-02-16 11:44:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007

Description of problem:
Attempting to create a desktop icon that prompts for root password
(just like redhat-config-date)

If you use an upper case name to link to consolehelper, it will never
prompt you for the root password. Instead it will always pop up a
login failed dialog box.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
ln -s /usr/bin/consolehelper /usr/bin/Tst
cd /etc/pam.d
cp redhat-config-date Tst
cd /etc/security/console.apps/
cp redhat-config-date Tst
vi Tst

Edit the file , changing the name of the PROGRAM to run.
USER=root
PROGRAM=/bin/ls
SESSION=true

save and quit


Now switch to a non root user
su - hpuri
Tst

AT this point a dialog box should pop up with message
"The password you typed is invalid , please try again"


To fix:
mv /usr/bin/Tst /usr/bin/tst
mv /etc/pam.d/Tst /etc/pam.d/tst
mv /etc/security/console.apps/Tst /etc/security/console.apps/tst


now try it , it will work.    

Actual Results:  Error message "The password you typed is invalid ,
please try again"

Expected Results:  Should have got a password prompt dialog box.

Additional info:
Comment 1 Bill Nottingham 2006-08-04 23:34:31 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2007-01-02 13:33:25 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.
Comment 4 Wade Mealing 2007-04-03 21:05:46 EDT
For anyone reading this bug, it appears that consolehelper isnt the problem.

You can have uppercase symbolic links, but just not uppercase files in
/etc/pam.d/, upstream pam (pam-0.99.6.2-3.14.el5 at the time of writing) still
behaves this way).  

So not really a problem, just something to be aware of when you need to run
something that uses consolehelper pam combo. See below example on how to work
around.

Comment 5 Wade Mealing 2007-04-03 21:07:18 EDT
Created attachment 151635 [details]
Example shell script to show how to make userhelper/consolehelper play nice with uppercase names.

Note You need to log in before you can comment on or make changes to this bug.